Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1484 - tetex 0.9-10 in rh. 5.8.6 barfs with a 'capacity exceeded' message
Summary: tetex 0.9-10 in rh. 5.8.6 barfs with a 'capacity exceeded' message
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: tetex
Version: 6.0
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-11 18:35 UTC by Alexander L. Belikoff
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-07 17:07:22 UTC


Attachments (Terms of Use)

Description Alexander L. Belikoff 1999-03-11 18:35:22 UTC
The following file:
==========================================
\documentclass[a4paper,titlepage]
\usepackage[koi8-r]{inputenc}
\usepackage[english,russian]{babel}
\begin{document}

We could use Russian here...

\end{document}
==========================================

makes LaTeX say:

$ latex rustest.tex
This is TeX, Version 3.14159 (Web2C 7.3beta6)
(rustest.tex
LaTeX2e <1998/06/01>
Babel <v3.6j> and hyphenation patterns for american, french,
german, ngerman, i
talian, nohyphenation, loaded.
! TeX capacity exceeded, sorry [parameter stack size=500].
\@onefilewithoptions #1[#2][#3]#4->
                                   \@pushfilename \xdef
\@currname {#1}\glob...
l.2 \usepackage[koi8-r]
                       {inputenc}
No pages of output.
Transcript written on rustest.log.

Comment 1 Erik Troan 1999-03-23 16:23:59 UTC
try

   \documentclass[a4paper,titlepage]{article}

instead (this is LaTeX 2e)

------- Email Received From  abel@bfr.co.il (Alexander L. Belikoff) 04/04/99 05:20 -------

Comment 2 Alexander L. Belikoff 1999-04-04 10:39:59 UTC
(re-entered, since e-mail to Bugzilla got it all wrong)


Doesn't the suggestion to use Latex2e mode mean LaTeX 2.09
compatibility is broken?

Also, the package lacks Russian hyphenation patterns. If you are
willing, I'll point you to the proper file to take for that.

Comment 3 Cristian Gafton 1999-04-07 17:07:59 UTC
Fixed in tetex-0.9-16 and later. The initial test case was still
invalid, though.


Note You need to log in before you can comment on or make changes to this bug.